X2Go Bug report logs - #155
25 user logon problem

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Thomas Hanschke <th.han@arcor.de>

Date: Thu, 28 Mar 2013 15:33:02 UTC

Severity: normal

Tags: moreinfo, patch, pending

Fixed in version 4.0.0.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goagent. (Thu, 28 Mar 2013 15:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Thomas Hanschke <th.han@arcor.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Mar 2013 15:33:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Thomas Hanschke <th.han@arcor.de>
To: submit@bugs.x2go.org
Cc: mike.gabriel@das-netzwerkteam.de
Subject: 25 user logon problem
Date: Thu, 28 Mar 2013 16:31:23 +0100
Package: x2goagent
Version: 2:3.5.0.17-0~320~precise1
        
I have 25 thinclients (wyse with windows7 embedded) in a classroom.
If more than 2 or 3 clients log on at exactly the same time, some of
them stop at the black screen before the gray X2Go Logo appears.
There is no error message. With a little timeshift of 2 or 3 seconds
between the logons, there are no problems.
          
I suggest a while-loop in x2gostartagent that looped through the
displays until it had a valid display and free ports.
        
        
I am using Ubuntu Version 12.04 (precise) (32-Bit),
Kernel Linux 3.2.0-39-generic-pae.
         
        Thanks for your help!
        Thomas


Bug reassigned from package 'x2goagent' to 'x2goserver'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 09:37:49 GMT) (full text, mbox, link).


No longer marked as found in versions 2:3.5.0.17-0~320~precise1. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 09:37:49 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goserver. (Mon, 15 Apr 2013 21:08:56 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 15 Apr 2013 21:08:56 GMT) (full text, mbox, link).


Message #14 received at 155@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Thomas Hanschke <th.han@arcor.de>, 155@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: 25 user logon problem
Date: Mon, 15 Apr 2013 23:08:40 +0200
[Message part 1 (text/plain, inline)]
tag #155 moreinfo
thanks

Hi Thomas,

thanks for reporting the below issue.

On Do 28 Mär 2013 16:31:23 CET Thomas Hanschke wrote:

> I have 25 thinclients (wyse with windows7 embedded) in a classroom.
> If more than 2 or 3 clients log on at exactly the same time, some of
> them stop at the black screen before the gray X2Go Logo appears.
> There is no error message. With a little timeshift of 2 or 3 seconds
> between the logons, there are no problems.
>
> I suggest a while-loop in x2gostartagent that looped through the
> displays until it had a valid display and free ports.

I have attached a slightly modified x2gostartagent script and patch  
file that document the changes to this mail.

Please copy the x2gostartagent script to /usr/bin/x2gostartagent on  
the server and report back if the performed modification fixes your  
25-user-issue.

@Devs: I suspect we have to query x2gogetport 3x times during one run  
of x2gostartagent to make sure that more-than-one instances of  
x2gostartagent (run by different users at the very same time, a  
typical class room situation) do not interfere with each other. This  
probably has to happen in x2goresume-session, as well.

I am not 100% sure if the modified x2gostartagent reduces the reported  
issue to zero, but my guess is that the reported issue should go down  
in occurrence tremendously.

Please test with your setup and give feedback.

Greets+thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[x2gostartagent (application/x-sh, attachment)]
[25-user-x2goserver.patch (text/x-patch, attachment)]
[Message part 4 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 21:08:57 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 21:12:09 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goserver. (Tue, 16 Apr 2013 07:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 16 Apr 2013 07:33:02 GMT) (full text, mbox, link).


Message #23 received at 155@bugs.x2go.org (full text, mbox, reply):

From: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 155@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: Thomas Hanschke <th.han@arcor.de>, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#155: 25 user logon problem
Date: Tue, 16 Apr 2013 09:14:38 +0200
[Message part 1 (text/plain, inline)]
On 2013-04-15 23:08, Mike Gabriel wrote:
>
> @Devs: I suspect we have to query x2gogetport 3x times during one run
> of x2gostartagent to make sure that more-than-one instances of
> x2gostartagent (run by different users at the very same time, a
> typical class room situation) do not interfere with each other. 

I don't know how you come to the 3x conclusion, but looking at the code
I'd suggest that USED_NONSSH_PORTS as well as USED_PORTS either be
turned into a function or get updated within the while-loop. That should
reduce the amount of failures.

> This probably has to happen in x2goresume-session, as well. 


Considering the amount of perl  and code duplication we should consider
putting that into a function and sourcing it or rewriting the whole
thing in perl. Unfortunately currently time is very scarce for me.

Morty

-- 
Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
Friedrich-Alexander-Universität Erlangen-Nürnberg
Martensstr. 1
91058 Erlangen

Tel   : +49 9131 85-25419
Fax   : +49 9131 85-28732
eMail : struebe@informatik.uni-erlangen.de
WWW   : http://www4.informatik.uni-erlangen.de/~morty



[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goserver. (Wed, 05 Jun 2013 23:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 05 Jun 2013 23:03:02 GMT) (full text, mbox, link).


Message #28 received at 155@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Eugene San <eugenesan@gmail.com>, 155@bugs.x2go.org
Cc: 155-submitter@bugs.x2go.org
Subject: Re: [X2Go-Dev] Multiple X2goclient instances fail (patch)
Date: Thu, 06 Jun 2013 01:01:05 +0200
[Message part 1 (text/plain, inline)]
Hi Thomas, hi Eugene,
ugene
On Mi 05 Jun 2013 06:33:15 CEST Eugene San wrote:

> Hi all,
>
> This subject was already discussed here, but since no solution exists till
> now, I've hacked not ideal but practical solution.
>
> Attached patch should minimize chances of conflicting ports x2goserver is
> using.
> On the first run, x2gostartagent script randomly selects ports from
> specific range (30000-30099) and save them to config file to be used for
> the following sessions.
> Later one can tune those values in config file
> (/etc/x2go/x2goagent.options).
>
> Regards
>

Eugene: the patch your provided via x2go-dev ML won't work (as  
x2goagent.options cannot be written by the user).

However, here is another patch that you and Thomas (the submitter of  
issue #155 in X2Go BTS) may test with your class room setups.

Patch is attached. Please give feedback. The patch reverts some code  
introduced in x2goserver 3.1.1.3 (or so).

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[detect-used-ports-correctly-again.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Message sent on to Thomas Hanschke <th.han@arcor.de>:
Bug#155. (Wed, 05 Jun 2013 23:03:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goserver. (Thu, 06 Jun 2013 08:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Paul Agbey <paulagbey1@o2.pl>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 06 Jun 2013 08:48:01 GMT) (full text, mbox, link).


Message #36 received at 155@bugs.x2go.org (full text, mbox, reply):

From: Paul Agbey <paulagbey1@o2.pl>
To: undisclosed-recipients:;
Subject: I await your reply ASAP.
Date: Thu, 06 Jun 2013 10:22:34 +0200
[Message part 1 (text/plain, inline)]

[Message part 2 (text/html, inline)]
[AVOCAT AGBEY LAW.docx (application/vnd.openxmlformats-officedocument.wordprocessingml.document, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goserver. (Fri, 07 Jun 2013 06:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Eugene San <eugenesan@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Jun 2013 06:18:02 GMT) (full text, mbox, link).


Message #41 received at 155@bugs.x2go.org (full text, mbox, reply):

From: Eugene San <eugenesan@gmail.com>
To: x2go-dev@lists.berlios.de
Cc: 155@bugs.x2go.org
Subject: Re: [X2Go-Dev] Multiple X2goclient instances fail (patch)
Date: Fri, 7 Jun 2013 09:08:00 +0300
[Message part 1 (text/plain, inline)]
Hello,

The patch you offered tries to solve a bit different problem than mine.
My problem is connecting to multiple x2go servers from single client.
However I find your patch very useful for "reversed" situation, described
in bug #155
Also replacing perl usage with awk is probably a good thing.

And thank you for noticing problem with my previous patch.
New patch attached seems to be working fine.

Regards



On Thu, Jun 6, 2013 at 2:01 AM, Mike Gabriel <
mike.gabriel@das-netzwerkteam.de> wrote:

> Hi Thomas, hi Eugene,
> ugene
>
> On Mi 05 Jun 2013 06:33:15 CEST Eugene San wrote:
>
>  Hi all,
>>
>> This subject was already discussed here, but since no solution exists till
>> now, I've hacked not ideal but practical solution.
>>
>> Attached patch should minimize chances of conflicting ports x2goserver is
>> using.
>> On the first run, x2gostartagent script randomly selects ports from
>> specific range (30000-30099) and save them to config file to be used for
>> the following sessions.
>> Later one can tune those values in config file
>> (/etc/x2go/x2goagent.options).
>>
>> Regards
>>
>>
> Eugene: the patch your provided via x2go-dev ML won't work (as
> x2goagent.options cannot be written by the user).
>
> However, here is another patch that you and Thomas (the submitter of issue
> #155 in X2Go BTS) may test with your class room setups.
>
> Patch is attached. Please give feedback. The patch reverts some code
> introduced in x2goserver 3.1.1.3 (or so).
>
> Thanks+Greets,
> Mike
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<mike.gabriel@das-netzwerkteam.de>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
>
[Message part 2 (text/html, inline)]
[x2goserver-4.0.0.2-postinst-config-ports.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goserver. (Fri, 07 Jun 2013 19:24:24 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Jun 2013 19:24:24 GMT) (full text, mbox, link).


Message #46 received at 155@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 155-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 155@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Fri, 7 Jun 2013 21:22:00 +0200 (CEST)
tag #155 pending
fixed #155 4.0.0.3
thanks

Hello,

X2Go issue #155 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=7af9b5b

The issue will most likely be fixed in src:x2goserver (4.0.0.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 7af9b5bb6d2e39992d6d11aa1b75826218680d41
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jun 7 21:19:03 2013 +0200

    Partially revert USED_PORTS detection code back to the old-style awk-way. (Fixes: #155).
    
    Conflicts (resolved by Mike Gabriel):
    	debian/changelog

diff --git a/debian/changelog b/debian/changelog
index 56eb297..ab2fc5a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,8 @@ x2goserver (4.0.0.3-0~x2go1) UNRELEASED; urgency=low
   * New upstream version (4.0.0.3):
     - Make pre-set DESTDIR and PREFIX traverse through all Makefiles.
       Do not include DESTDIR in Makefile-hard-coded path in x2gosqlitewrapper.
+    - Partially revert USED_PORTS detection code back to the old-style awk-way.
+      (Fixes: #155).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 19 May 2013 15:02:53 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 19:24:25 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.0.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 19:24:25 GMT) (full text, mbox, link).


Message sent on to Thomas Hanschke <th.han@arcor.de>:
Bug#155. (Fri, 07 Jun 2013 19:24:25 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#155; Package x2goserver. (Fri, 07 Jun 2013 21:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Jun 2013 21:18:02 GMT) (full text, mbox, link).


Message #58 received at 155@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 155-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 155@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 7 Jun 2013 23:04:47 +0200 (CEST)
close #155
thanks

Hello,

we are very hopeful that X2Go issue #155 reported by you
has been resolved in the new release (4.0.0.3) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.0.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=a2566e8e1ac815b530378b2843520cd694ca164d;hp=498e2b7e5a8fa9216a57f2234f57f6a6fa7ed261

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.3
Status: RELEASE
Date: Fri, 07 Jun 2013 23:03:20 +0200
Fixes: 155
Changes: 
 x2goserver (4.0.0.3) RELEASED; urgency=low
 .
   * New upstream version (4.0.0.3):
     - Make pre-set DESTDIR and PREFIX traverse through all Makefiles.
       Do not include DESTDIR in Makefile-hard-coded path in x2gosqlitewrapper.
     - Partially revert USED_PORTS detection code back to the old-style awk-way.
       (Fixes: #155).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 21:18:04 GMT) (full text, mbox, link).


Notification sent to Thomas Hanschke <th.han@arcor.de>:
Bug acknowledged by developer. (Fri, 07 Jun 2013 21:18:04 GMT) (full text, mbox, link).


Message sent on to Thomas Hanschke <th.han@arcor.de>:
Bug#155. (Fri, 07 Jun 2013 21:18:07 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 06 Jul 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 5 22:35:13 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.